Subject: bug#72921: closed (Re: bug#72921: Building emacs-yaml with emacs takes approximately eternity)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 11 May 2025 09:40:02 +0000

Your bug report

#72921: Building emacs-yaml with emacs takes approximately eternity

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72921: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72921
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72921: Building emacs-yaml with emacs takes approximately eternity
From: Nicolas Graves <[email-masked]>
To: Fredrik Salomonsson <[email-masked]>, [email-masked]
Date: Sun, 11 May 2025 11:39:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing it then!

Notice the -done that does the job ;)

On 2025-05-10 23:21, Fredrik Salomonsson wrote:

> Hi,
>
> I have been putting off building emacs-forge with emacs-pgtk due to it
> having emacs-yaml as a dependency.  I just checked the link to the
> upstream issue [0] and it's now be fixed and released in v1.2.0!  Which
> is in Guix.
>
> I verified it by building emacs-forge (and emacs-yaml) and it built
> within reasonable time.  So this issue can be closed.
>
> [0] https://github.com/zkry/yaml.el/issues/53

-- 
Best regards,
Nicolas Graves

Subject: Building emacs-yaml with emacs takes approximately eternity
From: Tomas Volf <[email-masked]>
To: [email-masked]
Date: Sat, 31 Aug 2024 23:01:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The emacs-yaml package is configured to build against emacs-minimal,
which seems to work.  When you however switch to emacs package, it takes
way to long to build, much longer than compiling for example firefox
package.  That feels off.

--8<---------------cut here---------------start------------->8---
$ time guix time-machine -q --commit=b8327cb31199fb9f4ebed6c53a59601d41def5a1 -- build --check --no-grafts -q --with-input=emacs-minimal=emacs-minimal emacs-yaml
/gnu/store/8lqdd8yna92zqgsgip396a1wbyhr5pfn-emacs-yaml-0.5.5
12.573 secs
$ time guix time-machine -q --commit=b8327cb31199fb9f4ebed6c53a59601d41def5a1 -- build --check --no-grafts -q --with-input=emacs-minimal=emacs emacs-yaml
/gnu/store/ja9xfndhfafjczp6n7qfy1h21hvdpd5j-emacs-yaml-0.5.5
2869.878 secs
--8<---------------cut here---------------end--------------->8---

The difference is huge.  The process taking vast majority of the time
(in the emacs version) is this one:

--8<---------------cut here---------------start------------->8---
32393 guixbuil 47:10 {.emacs-29.4-rea} /gnu/store/y7yhpgi48klqpadrmfknl4bln9c4n05y-emacs-29.4/bin/emacs -no-comp-spawn -Q --batch -l /tmp/guix-build-emacs-yaml-0.5.5.drv-0/emacs-int-comp-yaml-pbHFU3.el
--8<---------------cut here---------------end--------------->8---

I do not know enough to even guess what could be the problem, but it was
suggested I should bug-report this.

Cheers,
Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.